Name:		perl-Maypole
Version:	2.13
Release:	26%{?dist}
Epoch:		1
Summary:	MVC web application framework
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:            http://maypole.perl.org/
Source0:	https://cpan.metacpan.org/authors/id/T/TE/TEEJAY/Maypole-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  libapreq2-devel
BuildRequires:  perl-generators
BuildRequires:  perl(CGI::Untaint::date), perl(Class::DBI::mysql), perl(Class::DBI::AbstractSearch)
BuildRequires:  perl(CGI::Simple), perl(Class::DBI::AsForm), perl(Class::DBI::FromCGI)
BuildRequires:  perl(Class::DBI::Loader::Relationship), perl(Class::DBI::Pager)
BuildRequires:  perl(Class::DBI::Plugin::RetrieveAll), perl(Class::DBI::SQLite)
BuildRequires:  perl(Template::Plugin::Class), perl(Test::MockModule), perl(IO::CaptureOutput)
BuildRequires:	perl(Apache::Session::Wrapper), mod_perl
BuildRequires:	perl(Apache2::Request), perl(Test::Pod), perl(Class::DBI)
BuildRequires:	perl(Test::Pod::Coverage), perl(Class::DBI::Loader)
BuildRequires:	perl(Template), perl(CGI::Untaint::email), perl(HTTP::Body)
BuildRequires:	perl(File::MMagic::XS)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	mod_perl

%description
Maypole is a Perl framework for MVC-oriented web 
applications, similar to Jakarta's Struts. Maypole 
is designed to minimize coding requirements for 
creating simple web interfaces to databases, while 
remaining flexible enough to support enterprise web 
applications.

%prep
%setup -q -n Maypole-%{version}

# Filter false positive requires
cat <<EOF > %{name}-req
#!/bin/sh
%{__perl_requires} \
| grep -v 'perl(mod_perl)'
EOF
%global __perl_requires %{_builddir}/Maypole-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# make test

%files
%doc README Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.13-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1:2.13-25
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.13-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.13-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1:2.13-22
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.13-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1:2.13-20
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.13-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 19 2016 Tom Callaway <spot@fedoraproject.org> - 1:2.13-18
- spec file cleanups

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1:2.13-16
- Perl 5.22 rebuild

* Sat Aug 30 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1:2.13-15
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 Petr Pisar <ppisar@redhat.com> - 1:2.13-10
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1:2.13-8
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1:2.13-7
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:2.13-5
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:2.13-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1:2.13-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.13-1
- update to 2.13 (pick up an epoch, thanks perl versioning)
- add BR: File::MMagic::XS

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.111-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.111-2.1
Rebuild for new perl

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.111-1
- bump to 2.111
- license tag fix

* Wed Aug  2 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.11-1
- bump to 2.11

* Wed Oct 12 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-4
- use perl_requires filter instead

* Fri Oct  7 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-3
- remove Maypole-Plugin-Session
- fix Maypole/Session.pm from SVN
- parse out perl(mod_perl) as a Requires (its false for every distro in FE)

* Thu Oct  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-2
- add explicit BRs
- use upstream apache fix
- add Maypole-Session test

* Wed Sep  7 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-1
- remove redundant BR: perl
- don't optimize, we're noarch
- include license text
- bump to Maypole 2.10 and Maypole-Plugin-Session 0.2

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-0.2.pre1
- cleanups

* Wed Jul 6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-0.1.pre1
- initial package for Fedora Extras
